libzypp: zypp::json Namespace Reference

libzypp 17.38.5

zypp::json Namespace Reference

## Namespaces
namespace | detail

## Classes
class | Parser
class | Bool
class | Null
class | Number
class | Int
class | UInt
class | String
class | Array
class | Object
class | Value

## Functions
template<>
json::Value | toJSON (const sat::Transaction::Step &step_r)
| See COMMITBEGIN (added in v1) on page Commit plugin for the specs.
template<>
json::Value | toJSON (const ZYppCommitResult::TransactionStepList &steps_r)
static bool | isWhiteSpace (const char ch)
static constexpr std::string_view | trueJSON ("true")
static constexpr std::string_view | falseJSON ("false")
static constexpr std::string_view | nullJSON ("null")
template<typename T>
Value | toJSON (T &&v)
std::ostream & | operator<< (std::ostream &str, const Bool &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const Null &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const Number &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const Int &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const UInt &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const String &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const Array &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const Object &obj)
| Stream output.
std::ostream & | operator<< (std::ostream &str, const Value &obj)
| Stream output.

## Variables
constexpr std::string_view | TOK_NAMES [Parser::Token::TOK_COUNT]

## Function Documentation

## ◆ toJSON() [1/3]

template<>

json::Value zypp::json::toJSON | ( | const sat::Transaction::Step & | step_r | ) |
| inline

See COMMITBEGIN (added in v1) on page Commit plugin for the specs.

Definition at line 156 of file TargetImpl.cc.

## ◆ toJSON() [2/3]

template<>

json::Value zypp::json::toJSON | ( | const ZYppCommitResult::TransactionStepList & | steps_r | ) |
| inline

Definition at line 227 of file TargetImpl.cc.

## ◆ isWhiteSpace()

bool zypp::json::isWhiteSpace | ( | const char | ch | ) |
| static

Definition at line 32 of file json.cc.

## ◆ trueJSON()

constexpr std::string_view zypp::json::trueJSON | ( | "true" |  | ) |
| staticconstexpr

## ◆ falseJSON()

constexpr std::string_view zypp::json::falseJSON | ( | "false" |  | ) |
| staticconstexpr

## ◆ nullJSON()

constexpr std::string_view zypp::json::nullJSON | ( | "null" |  | ) |
| staticconstexpr

## ◆ toJSON() [3/3]

template<typename T>

Value zypp::json::toJSON | ( | T && | v | ) |

Definition at line 322 of file JsonValue.h.

## Variable Documentation

## ◆ TOK_NAMES

std::string_view zypp::json::TOK_NAMES[Parser::Token::TOK_COUNT]
| constexpr

Initial value:
= {
"TOK_STRING",
"TOK_NUMBER_FLOAT",
"TOK_NUMBER_UINT",
"TOK_NUMBER_INT",
"TOK_BOOL_TRUE",
"TOK_BOOL_FALSE",
"TOK_NULL",
"TOK_LSQUARE_BRACKET",
"TOK_RSQUARE_BRACKET",
"TOK_LCURLY_BRACKET",
"TOK_RCURLY_BRACKET",
"TOK_COMMA",
"TOK_COLON",
"TOK_END"
}

Definition at line 15 of file json.cc.